Subject: bug#29737: 27.0.50; pixel-scroll-mode is laggy

From: Eli Zaretskii <[email-masked]>
Date: Sat, 16 Dec 2017 20:30:32 +0200

> From: Valentin Ignatyev <[email-masked]>
> Date: Sun, 17 Dec 2017 03:55:34 +1000
> 
> Hi! I've tried new feature `pixel-scroll-mode` on both emacs-26 and on
> master branches. While I see that scrolling became pixel-wise indeed, it
> is also very laggy. CPU blows up to 100% and ui hangs and freezes. It
> works ok if I scroll slowly though. It happens with all my plugins and
> customizations and if I run emacs with -Q flag.

In what major mode does this happen?  Does the problem still happen if
you switch to Fundamental mode?

Also, what happens if you hold the Ctrl key while scrolling?  What if
you set mouse-wheel-progressive-speed to nil?